import request from '@/common/request'
import jweixin from '@/common/jweixin'
export default {
	is_weixin: function() {
		var ua = navigator.userAgent.toLowerCase();
		if (ua.match(/MicroMessenger/i) == "micromessenger") {
			return true;
		} else {
			return false;
		}
	},
	share: function(data, url, id, state) {
		url = url ? url : window.location.href;
		if (!this.is_weixin()) {
			return false
		}
		request.post("/api/common/getJssdkConfig", {
			url: url
		}).then(res => {
			console.log(res)
			if (res.code == 200) {
				if (state) {
					url = url + "?up_id=" + id
				}else{
					url = url + "&up_id=" + id
				}
				jweixin.config({
					debug: false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
					appId: res.data.appId, // 必填，公众号的唯一标识
					timestamp: res.data.timestamp, // 必填，生成签名的时间戳
					nonceStr: res.data.nonceStr, // 必填，生成签名的随机串
					signature: res.data.signature, // 必填，签名
					jsApiList: res.data.jsApiList // 必填，需要使用的JS接口列表
				})
				jweixin.ready(function() {
					let shareData = {
						title: data.title, // 分享标题
						desc: data.desc, // 分享描述
						link: url, // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
						imgUrl: data.imgUrl, // 分享图标
						success: function(res) {
							console.log(res)
						},
						cancel: function(err) {
							console.log(err)
						}
					}
					jweixin.updateAppMessageShareData(shareData)
					jweixin.updateTimelineShareData(shareData)
				})

				jweixin.error(function(res) {
					// ...
					console.log(res)
				});
			}
		}).catch(err => {
			console.log(err)
		})
	}
}
